Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Class BadCredentialsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.acegisecurity.AcegiSecurityException
                          org.acegisecurity.AuthenticationException
                              org.acegisecurity.BadCredentialsException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UsernameNotFoundException

    public class BadCredentialsException

extends AuthenticationException

Thrown if an authentication request is rejected because the credentials are invalid. For this exception to be thrown, it means the account is neither locked nor disabled.

Version:
  $Id: BadCredentialsException.java,v 1.4 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`BadCredentialsException(String msg)` Constructs a `BadCredentialsException` with the specified message.
`BadCredentialsException(String msg, Object extraInformation)`
`BadCredentialsException(String msg, Throwable t)` Constructs a `BadCredentialsException` with the specified message and root cause.

Method Summary
`Object` | `getExtraInformation()` Any additional information about the exception.

Methods inherited from class org.acegisecurity.AuthenticationException
`getAuthentication`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getCause, getMessage, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadCredentialsException

    public BadCredentialsException(String msg)

  Constructs a `BadCredentialsException` with the specified message.

  Parameters:
    `msg` - the detail message

### BadCredentialsException

    public BadCredentialsException(String msg,
                                   Object extraInformation)

### BadCredentialsException

    public BadCredentialsException(String msg,
                                   Throwable t)

  Constructs a `BadCredentialsException` with the specified message and root cause.

  Parameters:
    `msg` - the detail message
    `t` - root cause

Method Detail

### getExtraInformation

    public Object getExtraInformation()

  Any additional information about the exception. Generally a `UserDetails` object.

  Returns:
    extra information or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.